Subject: bug#43792: [PATCH] Add ert macros to get resource file names

From: Michael Albinus <[email-masked]>
Date: Sun, 04 Oct 2020 19:25:50 +0200

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

> There's a lot of repetitive code to get at the resource directories for
> tests.  That's obviously boring, so I'd propose something like the
> following two macros to make it easier:
>
> (ert-resource-directory)
> (ert-resource-file NAME)
>
> Please see the attached patch, the second of which uses the macros in
> our test suite.  Not sure if they should be in ert.el, so I put them in
> ert-x.el for now to play it safe.
>
> Any comments?

Nice idea. Have you tested, that it also works for GNU ELPA packages?
And no, pls change the tests in GNU ELPA yet, unless they require Emacs 28.

I miss a patch for dbus-tests.el.

For Tramp, I would need to adapt your change due to backward
compatibility. But don't worry, your patch could go as it is into master before.

Best regards, Michael.